Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types.pm
Class AdhocActivity

    java.lang.Object
      com.tibco.bpm.web.client.model.types.pm.AdhocActivity

    public class AdhocActivity

extends java.lang.Object

Constructor Summary
`AdhocActivity()`

Method Summary
`int` | `getCompletedCount()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getName()`
`java.lang.String` | `getProcessId()`
`boolean` | `isAutomatic()`
`boolean` | `isEnabled()`
`boolean` | `isInProgress()`
`boolean` | `isRepeatable()`
`void` | `setAutomatic(boolean automatic)`
`void` | `setCompletedCount(int completedCount)`
`void` | `setDescription(java.lang.String description)`
`void` | `setEnabled(boolean enabled)`
`void` | `setInProgress(boolean inProgress)`
`void` | `setName(java.lang.String name)`
`void` | `setProcessId(java.lang.String processId)`
`void` | `setRepeatable(boolean repeatable)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AdhocActivity

    public AdhocActivity()

Method Detail

### getProcessId

    public java.lang.String getProcessId()

### setProcessId

    public void setProcessId(java.lang.String processId)

### isEnabled

    public boolean isEnabled()

### setEnabled

    public void setEnabled(boolean enabled)

### isInProgress

    public boolean isInProgress()

### setInProgress

    public void setInProgress(boolean inProgress)

### isRepeatable

    public boolean isRepeatable()

### setRepeatable

    public void setRepeatable(boolean repeatable)

### isAutomatic

    public boolean isAutomatic()

### setAutomatic

    public void setAutomatic(boolean automatic)

### getCompletedCount

    public int getCompletedCount()

### setCompletedCount

    public void setCompletedCount(int completedCount)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.